Package org.eclipse.birt.chart.factory

# Interface IGroupedDataRowExpressionEvaluator

All Superinterfaces:
  `IDataRowExpressionEvaluator`

All Known Implementing Classes:
  `AbstractGroupedDataRowExpressionEvaluator`

public interface IGroupedDataRowExpressionEvaluator extends IDataRowExpressionEvaluator
The interface is declared to wrap `IQueryResultSet` and evaluate grouped, uni-dimensional data.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getGroupBreaks(int groupLevel)`
Returns the group breaks of specified group level.
`boolean[]`
`getGroupStatus()`
Returns if group is enabled in each group-level.
`boolean`
`needCategoryGrouping()`
Returns if category grouping needs to be done in chart engine.
`boolean`
`needOptionalGrouping()`
Returns if optional grouping needs to be done in chart engine.

### Methods inherited from interface org.eclipse.birt.chart.factory.IDataRowExpressionEvaluator

`close, evaluate, evaluateGlobal, first, next`

## Method Details

### getGroupBreaks

int[] getGroupBreaks(int groupLevel)
Returns the group breaks of specified group level. `null` means no group breaks.

Parameters:
  `groupExp` -
Returns:
  group breaks

### needOptionalGrouping

boolean needOptionalGrouping()
Returns if optional grouping needs to be done in chart engine.

Returns:
  true then do optional grouping in chart engine.

### needCategoryGrouping

boolean needCategoryGrouping()
Returns if category grouping needs to be done in chart engine.

Returns:
  true then do category grouping in chart engine.

### getGroupStatus

boolean[] getGroupStatus()
Returns if group is enabled in each group-level.